package com.lz.modules.luck.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*奖品表
* @author quyixiao
* @since 2020-08-21
*/

@Data
@TableName("luck_goods")
public class LuckGoods implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //
    private Integer isDelete;
    //
    private Date gmtCreate;
    //
    private Date gmtModified;
    //活动ID
    private Long luckId;
    //奖品名称
    private String name;
    //权重权重，抽奖顺序
    private Integer weight;
    //备注
    private String remark;
    //数量
    private Integer counts;

    private Integer isFinish;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 活动ID 
     * @return
     */
    public Long getLuckId() {
        return luckId;
    }
    /**
     * 活动ID 
     * @param luckId
     */
    public void setLuckId(Long luckId) {
        this.luckId = luckId;
    }

    /**
     * 奖品名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 奖品名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 权重 权重，抽奖顺序
     * @return
     */
    public Integer getWeight() {
        return weight;
    }
    /**
     * 权重 权重，抽奖顺序
     * @param weight
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 数量 
     * @return
     */
    public Integer getCounts() {
        return counts;
    }
    /**
     * 数量 
     * @param counts
     */
    public void setCounts(Integer counts) {
        this.counts = counts;
    }

    public Integer getIsFinish() {
        return isFinish;
    }

    public void setIsFinish(Integer isFinish) {
        this.isFinish = isFinish;
    }

    @Override
    public String toString() {
        return "LuckGoods{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",luckId=" + luckId +
                ",name=" + name +
                ",weight=" + weight +
                ",remark=" + remark +
                ",counts=" + counts +
                ",isFinish=" + isFinish +
                "}";
    }
}